Bug 1316472 - OData response does not contain header "allow"
OData response does not contain header "allow"
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: 6.3.0
Assigned To: Van Halbert
Juraj Duráni
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 05:55 EST by Juraj Duráni
Modified: 2016-08-24 07:36 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-24 07:36:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-4041 Major Resolved OData response does not contain header "allow" 2016-05-25 09:09 EDT

  None (edit)
Description Juraj Duráni 2016-03-10 05:55:51 EST
Description of problem:
If user sends request to URL with unsupported HTTP method, OData service should return allowed methods in header allow.

URL: http://localhost:8080/odata4/olingo_basic/Source/SimpleTableView/
Method: DELETE
Response headers: date=Wed, 09 Mar 2016 08:21:17 GMT, server=Apache-Coyote/1.1, content-length=192, expires=Thu, 01 Jan 1970 00:00:00 GMT+00:00, content-type=application/xml, cache-control=no-cache, pragma=No-cache, odata-version=4.0

See http://docs.oasis-open.org/odata/odata/v4.0/errata02/os/complete/part1-protocol/odata-v4.0-errata02-os-part1-protocol-complete.html#_Toc406398259
Comment 1 JBoss JIRA Server 2016-03-16 13:30:41 EDT
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-4041 to Coding In Progress
Comment 2 JBoss JIRA Server 2016-03-17 10:10:31 EDT
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-4041 to Resolved

Note You need to log in before you can comment on or make changes to this bug.